# εxodus
[![Build Status](https://travis-ci.org/Exodus-Privacy/exodus.svg?branch=v1)](https://travis-ci.org/Exodus-Privacy/exodus) [![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/Exodus-Privacy/exodus.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/Exodus-Privacy/exodus/context:python)

**εxodus** is a privacy auditing platform for Android applications. It detects behaviors which can be dangerous for user privacy like ads, tracking, analytics, …

The official instance of εxodus is available [here](https://reports.exodus-privacy.eu.org/).

## Contribute to the identification of trackers

All data about trackers are stored on [ETIP](https://etip.exodus-privacy.eu.org) (εxodus tracker investigation platform).

If you wish to help us identify new trackers, you can request an ETIP account by sending a username and an email address to [etip@exodus-privacy.eu.org](mailto:etip@exodus-privacy.eu.org)

## Getting Started

### Installing your local instance

You have different ways of setting up your development environment (via Docker or manually), everything is explained [here](doc/install.md).

### FAQ

Check the [FAQ](doc/faq.md) if you encounter any problem or need an extended documentation about εxodus.

## API documentation

You can find the εxodus API documentation [here](doc/api.md).

## License

This project is licensed under the GNU AGPL v3 License - see the [LICENSE](LICENSE) file for details.
