AOSP_PERMISSIONS_FR = {
    "groups": {
        "android.permission-group.CALENDAR": {
            "description": "accéder à votre agenda",
            "description_ptr": "permgroupdesc_calendar",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M17 12h-5v5h5v-5zM16 1v2H8V1H6v2H5c-1.11 0-1.99 .9 -1.99 2L3 19c0 1.1 .89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2h-1V1h-2zm3 18H5V8h14v11z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_calendar",
            "label": "Agenda",
            "label_ptr": "permgrouplab_calendar",
            "name": "android.permission-group.CALENDAR",
            "request_ptr": "permgrouprequest_calendar"
        },
        "android.permission-group.CALL_LOG": {
            "description": "Lire et écrire les journaux d'appels du téléphone",
            "description_ptr": "permgroupdesc_calllog",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24.0\" viewBox=\"0 0 24.0 24.0\" width=\"24.0\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M16.01,14.48l-2.62,2.62c-2.75,-1.49 -5.01,-3.75 -6.5,-6.5l2.62,-2.62c0.24,-0.24 0.34,-0.58 0.27,-0.9L9.13,3.82c-0.09,-0.47 -0.5,-0.8 -0.98,-0.8L4,3.01c-0.56,0 -1.03,0.47 -1,1.03c0.17,2.91 1.04,5.63 2.43,8.01c1.57,2.69 3.81,4.93 6.5,6.5c2.38,1.39 5.1,2.26 8.01,2.43c0.56,0.03 1.03,-0.44 1.03,-1v-4.15c0,-0.48 -0.34,-0.89 -0.8,-0.98l-3.26,-0.65C16.58,14.14 16.24,14.24 16.01,14.48z\" fill=\"#000000\"/><path d=\"M12,8h10V6H12V8zM12,4h10V2H12V4zM22,10H12v2h10V10z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_call_log",
            "label": "Journaux d'appels",
            "label_ptr": "permgrouplab_calllog",
            "name": "android.permission-group.CALL_LOG",
            "request_ptr": "permgrouprequest_calllog"
        },
        "android.permission-group.CAMERA": {
            "description": "prendre des photos et enregistrer des vidéos",
            "description_ptr": "permgroupdesc_camera",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20,5h-3.17L15,3H9L7.17,5H4C2.9,5 2,5.9 2,7v12c0,1.1 0.9,2 2,2h16c1.1,0 2,-0.9 2,-2V7C22,5.9 21.1,5 20,5zM20,19H4V7h16V19z\" fill=\"#000000\"/><path d=\"M12,9c-2.21,0 -4,1.79 -4,4c0,2.21 1.79,4 4,4s4,-1.79 4,-4C16,10.79 14.21,9 12,9z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_camera",
            "label": "Appareil photo",
            "label_ptr": "permgrouplab_camera",
            "name": "android.permission-group.CAMERA",
            "request_ptr": "permgrouprequest_camera"
        },
        "android.permission-group.CONTACTS": {
            "description": "accéder à vos contacts",
            "description_ptr": "permgroupdesc_contacts",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M4,1h16v2h-16z\" fill=\"#000000\"/><path d=\"M4,21h16v2h-16z\" fill=\"#000000\"/><path d=\"M20,5H4C2.9,5 2,5.9 2,7v10c0,1.1 0.9,2 2,2h2h12h2c1.1,0 2,-0.9 2,-2V7C22,5.9 21.1,5 20,5zM8.21,17c0.7,-0.47 2.46,-1 3.79,-1s3.09,0.53 3.79,1H8.21zM20,17h-2c0,-1.99 -4,-3 -6,-3s-6,1.01 -6,3H4V7h16V17z\" fill=\"#000000\"/><path d=\"M12,13.5c1.66,0 3,-1.34 3,-3c0,-1.66 -1.34,-3 -3,-3s-3,1.34 -3,3C9,12.16 10.34,13.5 12,13.5zM12,9.5c0.55,0 1,0.45 1,1s-0.45,1 -1,1s-1,-0.45 -1,-1S11.45,9.5 12,9.5z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_contacts",
            "label": "Contacts",
            "label_ptr": "permgrouplab_contacts",
            "name": "android.permission-group.CONTACTS",
            "request_ptr": "permgrouprequest_contacts"
        },
        "android.permission-group.LOCATION": {
            "description": "accéder à la position de l'appareil",
            "description_ptr": "permgroupdesc_location",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12,2C8.13,2 5,5.13 5,9c0,5.25 7,13 7,13s7,-7.75 7,-13C19,5.13 15.87,2 12,2zM7,9c0,-2.76 2.24,-5 5,-5s5,2.24 5,5c0,2.88 -2.88,7.19 -5,9.88C9.92,16.21 7,11.85 7,9z\" fill=\"#000000\"/><path d=\"M12,9m-2.5,0a2.5,2.5 0,1 1,5 0a2.5,2.5 0,1 1,-5 0\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_location",
            "label": "Localisation",
            "label_ptr": "permgrouplab_location",
            "name": "android.permission-group.LOCATION",
            "request_ptr": "permgrouprequest_location"
        },
        "android.permission-group.MICROPHONE": {
            "description": "enregistrer des fichiers audio",
            "description_ptr": "permgroupdesc_microphone",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12,14c1.66,0 3,-1.34 3,-3V5c0,-1.66 -1.34,-3 -3,-3S9,3.34 9,5v6C9,12.66 10.34,14 12,14zM11,5c0,-0.55 0.45,-1 1,-1s1,0.45 1,1v6c0,0.55 -0.45,1 -1,1s-1,-0.45 -1,-1V5z\" fill=\"#000000\"/><path d=\"M17,11c0,2.76 -2.24,5 -5,5s-5,-2.24 -5,-5H5c0,3.53 2.61,6.43 6,6.92V21h2v-3.08c3.39,-0.49 6,-3.39 6,-6.92H17z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_microphone",
            "label": "Microphone",
            "label_ptr": "permgrouplab_microphone",
            "name": "android.permission-group.MICROPHONE",
            "request_ptr": "permgrouprequest_microphone"
        },
        "android.permission-group.PHONE": {
            "description": "effectuer et gérer des appels téléphoniques",
            "description_ptr": "permgroupdesc_phone",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27 .67 -.36 1.02-.24 1.12 .37 2.33 .57 3.57 .57 .55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55 .45 -1 1-1h3.5c.55 0 1 .45 1 1 0 1.25 .2 2.45 .57 3.57 .11 .35 .03 .74-.25 1.02l-2.2 2.2z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_phone_calls",
            "label": "Téléphone",
            "label_ptr": "permgrouplab_phone",
            "name": "android.permission-group.PHONE",
            "request_ptr": "permgrouprequest_phone"
        },
        "android.permission-group.SENSORS": {
            "description": "accéder aux données des capteurs relatives à vos signes vitaux",
            "description_ptr": "permgroupdesc_sensors",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.49 5.48c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm-3.6 13.9l1-4.4 2.1 2v6h2v-7.5l-2.1-2 .6-3c1.3 1.5 3.3 2.5 5.5 2.5v-2c-1.9 0-3.5-1-4.3-2.4l-1-1.6c-.4-.6-1-1-1.7-1-.3 0-.5 .1 -.8 .1 l-5.2 2.2v4.7h2v-3.4l1.8-.7-1.6 8.1-4.9-1-.4 2 7 1.4z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_sensors",
            "label": "Capteurs corporels",
            "label_ptr": "permgrouplab_sensors",
            "name": "android.permission-group.SENSORS",
            "request_ptr": "permgrouprequest_sensors"
        },
        "android.permission-group.SMS": {
            "description": "envoyer et consulter des SMS",
            "description_ptr": "permgroupdesc_sms",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20,2H4C2.9,2 2,2.9 2,4v18l4.75,-4h14C21.1,18 22,17.1 22,16V4C22,2.9 21.1,2 20,2zM20,16H4V4h16V16zM9,11H7V9h2V11zM17,11h-2V9h2V11zM13,11h-2V9h2V11z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_sms",
            "label": "SMS",
            "label_ptr": "permgrouplab_sms",
            "name": "android.permission-group.SMS",
            "request_ptr": "permgrouprequest_sms"
        },
        "android.permission-group.STORAGE": {
            "description": "accéder à des photos, à des contenus multimédias et à des fichiers sur votre appareil",
            "description_ptr": "permgroupdesc_storage",
            "icon": "<?xml version=\"1.0\" ?><svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20,6h-8l-2,-2H4C2.9,4 2.01,4.9 2.01,6L2,18c0,1.1 0.9,2 2,2h16c1.1,0 2,-0.9 2,-2V8C22,6.9 21.1,6 20,6zM20,18H4V8h16V18z\" fill=\"#000000\"/></svg>",
            "icon_ptr": "perm_group_storage",
            "label": "Stockage",
            "label_ptr": "permgrouplab_storage",
            "name": "android.permission-group.STORAGE",
            "request_ptr": "permgrouprequest_storage"
        }
    },
    "permissions": {
        "android.intent.category.MASTER_CLEAR.permission.C2D_MESSAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.intent.category.MASTER_CLEAR.permission.C2D_MESSAGE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCEPT_HANDOVER": {
            "description": "Autorise l'application à continuer un appel qui a été démarré dans une autre application.",
            "description_ptr": "permdesc_acceptHandovers",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCEPT_HANDOVER",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous"
        },
        "android.permission.ACCESS_AMBIENT_LIGHT_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_AMBIENT_LIGHT_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.ACCESS_BROADCAST_RADIO": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_BROADCAST_RADIO",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_CACHE_FILESYSTEM": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_CACHE_FILESYSTEM",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_CHECKIN_PROPERTIES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_CHECKIN_PROPERTIES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_COARSE_LOCATION": {
            "description": "Cette application peut obtenir votre position via des sources de réseau telles que les antennes-relais et les réseaux Wi-Fi. Ces services de localisation doivent être activés et disponibles sur votre téléphone pour que l'application puisse les utiliser.",
            "description_ptr": "permdesc_accessCoarseLocation",
            "label": "accéder à votre position approximative (selon le réseau)",
            "label_ptr": "permlab_accessCoarseLocation",
            "name": "android.permission.ACCESS_COARSE_LOCATION",
            "permission_group": "android.permission-group.LOCATION",
            "protection_level": "dangerous|instant"
        },
        "android.permission.ACCESS_CONTENT_PROVIDERS_EXTERNALLY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_CONTENT_PROVIDERS_EXTERNALLY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_DRM_CERTIFICATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_DRM_CERTIFICATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_FINE_LOCATION": {
            "description": "Cette application peut obtenir votre position via le GPS ou des sources de positionnement de réseau telles que les antennes-relais et les réseaux Wi-Fi. Ces services de localisation doivent être activés et disponibles sur votre téléphone pour que l'application puisse les utiliser. Ceci peut réduire l'autonomie de la batterie.",
            "description_ptr": "permdesc_accessFineLocation",
            "label": "accéder à votre position précise (GPS et réseau)",
            "label_ptr": "permlab_accessFineLocation",
            "name": "android.permission.ACCESS_FINE_LOCATION",
            "permission_group": "android.permission-group.LOCATION",
            "protection_level": "dangerous|instant"
        },
        "android.permission.ACCESS_FM_RADIO": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_FM_RADIO",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_IMS_CALL_SERVICE": {
            "description": "Permet à l'application d'utiliser le service IMS pour passer des appels sans votre intervention.",
            "description_ptr": "permdesc_accessImsCallService",
            "label": "accéder au service d'appel IMS",
            "label_ptr": "permlab_accessImsCallService",
            "name": "android.permission.ACCESS_IMS_CALL_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_INPUT_FLINGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_INPUT_FLINGER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_INSTANT_APPS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_INSTANT_APPS",
            "permission_group": "",
            "protection_level": "signature|installer|verifier"
        },
        "android.permission.ACCESS_KEYGUARD_SECURE_STORAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_KEYGUARD_SECURE_STORAGE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_LOCATION_EXTRA_COMMANDS": {
            "description": "Permet à l'application d'accéder à des commandes de localisation supplémentaires offertes par le fournisseur. Elle est ainsi susceptible d'interférer avec le bon fonctionnement du GPS ou de toute autre source de localisation.",
            "description_ptr": "permdesc_accessLocationExtraCommands",
            "label": "Accès aux commandes de fournisseur de position géographique supplémentaires",
            "label_ptr": "permlab_accessLocationExtraCommands",
            "name": "android.permission.ACCESS_LOCATION_EXTRA_COMMANDS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.ACCESS_LOWPAN_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_LOWPAN_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_MOCK_LOCATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_MOCK_LOCATION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_MTP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_MTP",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_NETWORK_CONDITIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_NETWORK_CONDITIONS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_NETWORK_STATE": {
            "description": "Permet à l'application d'accéder à des informations sur les connexions réseau, comme les réseaux existants et connectés.",
            "description_ptr": "permdesc_accessNetworkState",
            "label": "afficher les connexions réseau",
            "label_ptr": "permlab_accessNetworkState",
            "name": "android.permission.ACCESS_NETWORK_STATE",
            "permission_group": "",
            "protection_level": "normal|instant"
        },
        "android.permission.ACCESS_NOTIFICATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_NOTIFICATIONS",
            "permission_group": "",
            "protection_level": "signature|privileged|appop"
        },
        "android.permission.ACCESS_NOTIFICATION_POLICY": {
            "description": "Permet à l'application de consulter et de modifier la configuration du mode Ne pas déranger.",
            "description_ptr": "permdesc_access_notification_policy",
            "label": "accéder au mode Ne pas déranger",
            "label_ptr": "permlab_access_notification_policy",
            "name": "android.permission.ACCESS_NOTIFICATION_POLICY",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.ACCESS_PDB_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_PDB_STATE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_SHORTCUTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_SHORTCUTS",
            "permission_group": "",
            "protection_level": "signature|textClassifier"
        },
        "android.permission.ACCESS_SURFACE_FLINGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_SURFACE_FLINGER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_UCE_OPTIONS_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_UCE_OPTIONS_SERVICE",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_UCE_PRESENCE_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_UCE_PRESENCE_SERVICE",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "signature|privileged"
        },
        "android.permission.ACCESS_VOICE_INTERACTION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_VOICE_INTERACTION_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_VR_MANAGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_VR_MANAGER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACCESS_VR_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCESS_VR_STATE",
            "permission_group": "",
            "protection_level": "signature|preinstalled"
        },
        "android.permission.ACCESS_WIFI_STATE": {
            "description": "Permet à l'application d'accéder à des informations sur les réseaux Wi-Fi afin de savoir si une connexion Wi-Fi est activée et pour connaître le nom des appareils connectés au Wi-Fi, par exemple.",
            "description_ptr": "permdesc_accessWifiState",
            "label": "afficher les connexions Wi-Fi",
            "label_ptr": "permlab_accessWifiState",
            "name": "android.permission.ACCESS_WIFI_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.ACCESS_WIMAX_STATE": {
            "description": "Permet à l'application de déterminer si le WiMAX est activé et d'obtenir des informations sur tous les réseaux WiMAX connectés.",
            "description_ptr": "permdesc_accessWimaxState",
            "label": "se connecter au réseau WiMAX et s'en déconnecter",
            "label_ptr": "permlab_accessWimaxState",
            "name": "android.permission.ACCESS_WIMAX_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.ACCOUNT_MANAGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACCOUNT_MANAGER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ACTIVITY_EMBEDDING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ACTIVITY_EMBEDDING",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.ALLOCATE_AGGRESSIVE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ALLOCATE_AGGRESSIVE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.ANSWER_PHONE_CALLS": {
            "description": "Autorise l'application à répondre à un appel téléphonique entrant.",
            "description_ptr": "permdesc_answerPhoneCalls",
            "label": "répondre aux appels téléphoniques",
            "label_ptr": "permlab_answerPhoneCalls",
            "name": "android.permission.ANSWER_PHONE_CALLS",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous|runtime"
        },
        "android.permission.ASEC_ACCESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ASEC_ACCESS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ASEC_CREATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ASEC_CREATE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ASEC_DESTROY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ASEC_DESTROY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ASEC_MOUNT_UNMOUNT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ASEC_MOUNT_UNMOUNT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.ASEC_RENAME": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.ASEC_RENAME",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.AUTHENTICATE_ACCOUNTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.AUTHENTICATE_ACCOUNTS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.BACKUP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BACKUP",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BATTERY_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BATTERY_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.BIND_ACCESSIBILITY_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_ACCESSIBILITY_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_APPWIDGET": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_APPWIDGET",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_AUTOFILL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_AUTOFILL",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_AUTOFILL_FIELD_CLASSIFICATION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_AUTOFILL_FIELD_CLASSIFICATION_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_AUTOFILL_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_AUTOFILL_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_CACHE_QUOTA_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CACHE_QUOTA_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_CALL_REDIRECTION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CALL_REDIRECTION_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_CARRIER_MESSAGING_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CARRIER_MESSAGING_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_CARRIER_SERVICES": {
            "description": "Permet à l'application autorisée de s'associer aux services d'un opérateur. Ne devrait pas être nécessaire pour les applications standards.",
            "description_ptr": "permdesc_bindCarrierServices",
            "label": "associer aux services de l'opérateur",
            "label_ptr": "permlab_bindCarrierServices",
            "name": "android.permission.BIND_CARRIER_SERVICES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_CHOOSER_TARGET_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CHOOSER_TARGET_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_COMPANION_DEVICE_MANAGER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_COMPANION_DEVICE_MANAGER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_CONDITION_PROVIDER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CONDITION_PROVIDER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_CONNECTION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_CONNECTION_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_DEVICE_ADMIN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_DEVICE_ADMIN",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_DIRECTORY_SEARCH": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_DIRECTORY_SEARCH",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_DREAM_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_DREAM_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_EUICC_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_EUICC_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_IMS_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_IMS_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged|vendorPrivileged"
        },
        "android.permission.BIND_INCALL_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_INCALL_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_INPUT_METHOD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_INPUT_METHOD",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_INTENT_FILTER_VERIFIER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_INTENT_FILTER_VERIFIER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_JOB_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_JOB_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_KEYGUARD_APPWIDGET": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_KEYGUARD_APPWIDGET",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_MIDI_DEVICE_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_MIDI_DEVICE_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_NETWORK_RECOMMENDATION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_NETWORK_RECOMMENDATION_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_NFC_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_NFC_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_NOTIFICATION_ASSISTANT_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_NOTIFICATION_ASSISTANT_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_NOTIFICATION_LISTENER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_NOTIFICATION_LISTENER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_PACKAGE_VERIFIER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_PACKAGE_VERIFIER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_PRINT_RECOMMENDATION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_PRINT_RECOMMENDATION_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_PRINT_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_PRINT_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_PRINT_SPOOLER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_PRINT_SPOOLER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_QUICK_SETTINGS_TILE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_QUICK_SETTINGS_TILE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_REMOTEVIEWS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_REMOTEVIEWS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_REMOTE_DISPLAY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_REMOTE_DISPLAY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_RESOLVER_RANKER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_RESOLVER_RANKER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_ROUTE_PROVIDER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_ROUTE_PROVIDER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_RUNTIME_PERMISSION_PRESENTER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_RUNTIME_PERMISSION_PRESENTER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_SCREENING_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_SCREENING_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_SETTINGS_SUGGESTIONS_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_SETTINGS_SUGGESTIONS_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_SOUND_TRIGGER_DETECTION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_SOUND_TRIGGER_DETECTION_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TELECOM_CONNECTION_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TELECOM_CONNECTION_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_TELEPHONY_DATA_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TELEPHONY_DATA_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TELEPHONY_NETWORK_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TELEPHONY_NETWORK_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TEXTCLASSIFIER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TEXTCLASSIFIER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TEXT_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TEXT_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TRUST_AGENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TRUST_AGENT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_TV_INPUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TV_INPUT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_TV_REMOTE_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_TV_REMOTE_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_VISUAL_VOICEMAIL_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_VISUAL_VOICEMAIL_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BIND_VOICE_INTERACTION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_VOICE_INTERACTION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_VPN_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_VPN_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_VR_LISTENER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_VR_LISTENER_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BIND_WALLPAPER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BIND_WALLPAPER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BLUETOOTH": {
            "description": "Permet à l'application d'accéder à la configuration du Bluetooth sur le téléphone, et d'établir et accepter des connexions avec les appareils associés.",
            "description_ptr": "permdesc_bluetooth",
            "label": "Associer à appareils Bluetooth",
            "label_ptr": "permlab_bluetooth",
            "name": "android.permission.BLUETOOTH",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.BLUETOOTH_ADMIN": {
            "description": "Permet à l'application de configurer le téléphone Bluetooth local, d'identifier des appareils distants et de les associer au téléphone.",
            "description_ptr": "permdesc_bluetoothAdmin",
            "label": "Accéder aux paramètres Bluetooth",
            "label_ptr": "permlab_bluetoothAdmin",
            "name": "android.permission.BLUETOOTH_ADMIN",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.BLUETOOTH_MAP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BLUETOOTH_MAP",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BLUETOOTH_PRIVILEGED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BLUETOOTH_PRIVILEGED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BLUETOOTH_STACK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BLUETOOTH_STACK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BODY_SENSORS": {
            "description": "Permet à l'application d'accéder aux données des capteurs qui contrôlent votre condition physique, comme votre rythme cardiaque.",
            "description_ptr": "permdesc_bodySensors",
            "label": "accéder capteurs corp. (ex : cardiofréquencemètres)",
            "label_ptr": "permlab_bodySensors",
            "name": "android.permission.BODY_SENSORS",
            "permission_group": "android.permission-group.SENSORS",
            "protection_level": "dangerous"
        },
        "android.permission.BRICK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BRICK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BRIGHTNESS_SLIDER_USAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BRIGHTNESS_SLIDER_USAGE",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.BROADCAST_NETWORK_PRIVILEGED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BROADCAST_NETWORK_PRIVILEGED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.BROADCAST_PACKAGE_REMOVED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BROADCAST_PACKAGE_REMOVED",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BROADCAST_SMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BROADCAST_SMS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.BROADCAST_STICKY": {
            "description": "Permet à l'application d'envoyer des intentions de diffusion persistantes, qui perdurent une fois la diffusion terminée. Une utilisation excessive peut ralentir le téléphone ou le rendre instable en l'obligeant à utiliser trop de mémoire.",
            "description_ptr": "permdesc_broadcastSticky",
            "label": "Envoi d'une diffusion persistante",
            "label_ptr": "permlab_broadcastSticky",
            "name": "android.permission.BROADCAST_STICKY",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.BROADCAST_WAP_PUSH": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.BROADCAST_WAP_PUSH",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CACHE_CONTENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CACHE_CONTENT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CALL_PHONE": {
            "description": "Permet à l'application d'appeler des numéros de téléphone sans votre intervention. Cette autorisation peut entraîner des frais ou des appels imprévus et ne permet pas à l'application d'appeler des numéros d'urgence. Les applications malveillantes peuvent générer des frais en passant des appels sans votre consentement.",
            "description_ptr": "permdesc_callPhone",
            "label": "appeler directement les numéros de téléphone",
            "label_ptr": "permlab_callPhone",
            "name": "android.permission.CALL_PHONE",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous"
        },
        "android.permission.CALL_PRIVILEGED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CALL_PRIVILEGED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAMERA": {
            "description": "Cette application peut utiliser l'appareil photo pour prendre des photos et enregistrer des vidéos à tout moment.",
            "description_ptr": "permdesc_camera",
            "label": "prendre des photos et enregistrer des vidéos",
            "label_ptr": "permlab_camera",
            "name": "android.permission.CAMERA",
            "permission_group": "android.permission-group.CAMERA",
            "protection_level": "dangerous|instant"
        },
        "android.permission.CAMERA_DISABLE_TRANSMIT_LED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAMERA_DISABLE_TRANSMIT_LED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAMERA_SEND_SYSTEM_EVENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAMERA_SEND_SYSTEM_EVENTS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAPTURE_AUDIO_HOTWORD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAPTURE_AUDIO_HOTWORD",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAPTURE_AUDIO_OUTPUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAPTURE_AUDIO_OUTPUT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAPTURE_SECURE_VIDEO_OUTPUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAPTURE_SECURE_VIDEO_OUTPUT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAPTURE_TV_INPUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAPTURE_TV_INPUT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CAPTURE_VIDEO_OUTPUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CAPTURE_VIDEO_OUTPUT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CARRIER_FILTER_SMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CARRIER_FILTER_SMS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_ACCESSIBILITY_VOLUME": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_ACCESSIBILITY_VOLUME",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CHANGE_APP_IDLE_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_APP_IDLE_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_BACKGROUND_DATA_SETTING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_BACKGROUND_DATA_SETTING",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CHANGE_COMPONENT_ENABLED_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_COMPONENT_ENABLED_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_CONFIGURATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_CONFIGURATION",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_HDMI_CEC_ACTIVE_SOURCE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_HDMI_CEC_ACTIVE_SOURCE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_LOWPAN_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_LOWPAN_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_NETWORK_STATE": {
            "description": "Permet à l'application de modifier l'état de la connectivité du réseau.",
            "description_ptr": "permdesc_changeNetworkState",
            "label": "modifier la connectivité réseau",
            "label_ptr": "permlab_changeNetworkState",
            "name": "android.permission.CHANGE_NETWORK_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.CHANGE_OVERLAY_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CHANGE_OVERLAY_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CHANGE_WIFI_MULTICAST_STATE": {
            "description": "Permet à l'application de recevoir des paquets envoyés à tous les appareils (et pas seulement à votre téléphone) d'un réseau Wi-Fi qui utilise des adresses de multidiffusion. Cette autorisation entraîne une consommation d'énergie supérieure au mode de diffusion simple.",
            "description_ptr": "permdesc_changeWifiMulticastState",
            "label": "autoriser la réception de données en Wi-Fi multidiffusion",
            "label_ptr": "permlab_changeWifiMulticastState",
            "name": "android.permission.CHANGE_WIFI_MULTICAST_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.CHANGE_WIFI_STATE": {
            "description": "Permet à l'application de se connecter à des points d'accès Wi-Fi, de s'en déconnecter et de modifier la configuration de l'appareil pour les réseaux Wi-Fi.",
            "description_ptr": "permdesc_changeWifiState",
            "label": "Activer/désactiver la connexion Wi-Fi",
            "label_ptr": "permlab_changeWifiState",
            "name": "android.permission.CHANGE_WIFI_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.CHANGE_WIMAX_STATE": {
            "description": "Permet à l'application de connecter le téléphone aux réseaux WiMAX et de l'en déconnecter.",
            "description_ptr": "permdesc_changeWimaxState",
            "label": "modifier l'état du WiMAX",
            "label_ptr": "permlab_changeWimaxState",
            "name": "android.permission.CHANGE_WIMAX_STATE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.CLEAR_APP_CACHE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CLEAR_APP_CACHE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CLEAR_APP_GRANTED_URI_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CLEAR_APP_GRANTED_URI_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CLEAR_APP_USER_DATA": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CLEAR_APP_USER_DATA",
            "permission_group": "",
            "protection_level": "signature|installer"
        },
        "android.permission.CONFIGURE_DISPLAY_BRIGHTNESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONFIGURE_DISPLAY_BRIGHTNESS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.CONFIGURE_DISPLAY_COLOR_MODE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONFIGURE_DISPLAY_COLOR_MODE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CONFIGURE_WIFI_DISPLAY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONFIGURE_WIFI_DISPLAY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CONFIRM_FULL_BACKUP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONFIRM_FULL_BACKUP",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CONNECTIVITY_INTERNAL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONNECTIVITY_INTERNAL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_DISPLAY_BRIGHTNESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_DISPLAY_BRIGHTNESS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CONTROL_DISPLAY_SATURATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_DISPLAY_SATURATION",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_INCALL_EXPERIENCE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_INCALL_EXPERIENCE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_KEYGUARD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_KEYGUARD",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CONTROL_LOCATION_UPDATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_LOCATION_UPDATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_VPN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_VPN",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.CONTROL_WIFI_DISPLAY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CONTROL_WIFI_DISPLAY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.COPY_PROTECTED_DATA": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.COPY_PROTECTED_DATA",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CREATE_USERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CREATE_USERS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.CRYPT_KEEPER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.CRYPT_KEEPER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.DELETE_CACHE_FILES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DELETE_CACHE_FILES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.DELETE_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DELETE_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.DEVICE_POWER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DEVICE_POWER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.DIAGNOSTIC": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DIAGNOSTIC",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.DISABLE_HIDDEN_API_CHECKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DISABLE_HIDDEN_API_CHECKS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.DISABLE_INPUT_DEVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DISABLE_INPUT_DEVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.DISABLE_KEYGUARD": {
            "description": "Permet à l'application de désactiver le verrouillage des touches et toute mesure de sécurité via mot de passe associée. Par exemple, votre téléphone désactive le verrouillage des touches lorsque vous recevez un appel, puis le réactive lorsque vous raccrochez.",
            "description_ptr": "permdesc_disableKeyguard",
            "label": "Désactiver le verrouillage de l'écran",
            "label_ptr": "permlab_disableKeyguard",
            "name": "android.permission.DISABLE_KEYGUARD",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.DISPATCH_NFC_MESSAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DISPATCH_NFC_MESSAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.DISPATCH_PROVISIONING_MESSAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DISPATCH_PROVISIONING_MESSAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.DUMP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DUMP",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.DVB_DEVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.DVB_DEVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.EXPAND_STATUS_BAR": {
            "description": "Permet à l'application de réduire ou de développer la barre d'état.",
            "description_ptr": "permdesc_expandStatusBar",
            "label": "Agrandir/réduire la barre d'état",
            "label_ptr": "permlab_expandStatusBar",
            "name": "android.permission.EXPAND_STATUS_BAR",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.FACTORY_TEST": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FACTORY_TEST",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.FILTER_EVENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FILTER_EVENTS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.FLASHLIGHT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FLASHLIGHT",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.FORCE_BACK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FORCE_BACK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.FORCE_PERSISTABLE_URI_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FORCE_PERSISTABLE_URI_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.FORCE_STOP_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FORCE_STOP_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.FOREGROUND_SERVICE": {
            "description": "Autorise l'application à utiliser des services de premier plan.",
            "description_ptr": "permdesc_foregroundService",
            "label": "exécuter un service de premier plan",
            "label_ptr": "permlab_foregroundService",
            "name": "android.permission.FOREGROUND_SERVICE",
            "permission_group": "",
            "protection_level": "normal|instant"
        },
        "android.permission.FRAME_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FRAME_STATS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.FREEZE_SCREEN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.FREEZE_SCREEN",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GET_ACCOUNTS": {
            "description": "Permet à l'application d'obtenir la liste des comptes connus par le téléphone. Il peut s'agir de n'importe quel compte créé par les applications que vous avez installées.",
            "description_ptr": "permdesc_getAccounts",
            "label": "rechercher des comptes sur l'appareil",
            "label_ptr": "permlab_getAccounts",
            "name": "android.permission.GET_ACCOUNTS",
            "permission_group": "android.permission-group.CONTACTS",
            "protection_level": "dangerous"
        },
        "android.permission.GET_ACCOUNTS_PRIVILEGED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_ACCOUNTS_PRIVILEGED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.GET_APP_GRANTED_URI_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_APP_GRANTED_URI_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GET_APP_OPS_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_APP_OPS_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.GET_DETAILED_TASKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_DETAILED_TASKS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GET_INTENT_SENDER_INTENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_INTENT_SENDER_INTENT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GET_PACKAGE_SIZE": {
            "description": "Permet à l'application de récupérer son code, ses données et la taille de sa mémoire cache.",
            "description_ptr": "permdesc_getPackageSize",
            "label": "évaluer l'espace de stockage de l'application",
            "label_ptr": "permlab_getPackageSize",
            "name": "android.permission.GET_PACKAGE_SIZE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.GET_PASSWORD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_PASSWORD",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GET_PROCESS_STATE_AND_OOM_SCORE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_PROCESS_STATE_AND_OOM_SCORE",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.GET_TASKS": {
            "description": "Permet à l'application de récupérer des informations sur des tâches en cours d'exécution et récemment exécutées. L'application est ainsi susceptible d'obtenir des informations sur les applications utilisées sur l'appareil.",
            "description_ptr": "permdesc_getTasks",
            "label": "récupérer les applications en cours d'exécution",
            "label_ptr": "permlab_getTasks",
            "name": "android.permission.GET_TASKS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.GET_TOP_ACTIVITY_INFO": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GET_TOP_ACTIVITY_INFO",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GLOBAL_SEARCH": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GLOBAL_SEARCH",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.GLOBAL_SEARCH_CONTROL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GLOBAL_SEARCH_CONTROL",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.GRANT_RUNTIME_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.GRANT_RUNTIME_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature|installer|verifier"
        },
        "android.permission.HARDWARE_TEST": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.HARDWARE_TEST",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.HDMI_CEC": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.HDMI_CEC",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.HIDE_NON_SYSTEM_OVERLAY_WINDOWS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.HIDE_NON_SYSTEM_OVERLAY_WINDOWS",
            "permission_group": "",
            "protection_level": "signature|installer"
        },
        "android.permission.INJECT_EVENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INJECT_EVENTS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.INSTALL_GRANT_RUNTIME_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTALL_GRANT_RUNTIME_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature|installer|verifier"
        },
        "android.permission.INSTALL_LOCATION_PROVIDER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTALL_LOCATION_PROVIDER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.INSTALL_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTALL_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.INSTALL_PACKAGE_UPDATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTALL_PACKAGE_UPDATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.INSTALL_SELF_UPDATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTALL_SELF_UPDATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.INSTANT_APP_FOREGROUND_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INSTANT_APP_FOREGROUND_SERVICE",
            "permission_group": "",
            "protection_level": "signature|development|instant|appop"
        },
        "android.permission.INTENT_FILTER_VERIFICATION_AGENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INTENT_FILTER_VERIFICATION_AGENT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.INTERACT_ACROSS_USERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INTERACT_ACROSS_USERS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.INTERACT_ACROSS_USERS_FULL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INTERACT_ACROSS_USERS_FULL",
            "permission_group": "",
            "protection_level": "signature|installer"
        },
        "android.permission.INTERNAL_DELETE_CACHE_FILES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INTERNAL_DELETE_CACHE_FILES",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.INTERNAL_SYSTEM_WINDOW": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INTERNAL_SYSTEM_WINDOW",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.INTERNET": {
            "description": "Permet à l'application de créer des sockets réseau et d'utiliser des protocoles réseau personnalisés. Le navigateur et d'autres applications permettent d'envoyer des données sur Internet. Cette autorisation n'est donc pas nécessaire pour envoyer des données sur Internet.",
            "description_ptr": "permdesc_createNetworkSockets",
            "label": "bénéficier d'un accès complet au réseau",
            "label_ptr": "permlab_createNetworkSockets",
            "name": "android.permission.INTERNET",
            "permission_group": "",
            "protection_level": "normal|instant"
        },
        "android.permission.INVOKE_CARRIER_SETUP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.INVOKE_CARRIER_SETUP",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.KILL_BACKGROUND_PROCESSES": {
            "description": "Permet à l'application de mettre fin aux processus d'autres applications exécutés en arrière-plan. Cette autorisation peut interrompre l'exécution d'autres applications.",
            "description_ptr": "permdesc_killBackgroundProcesses",
            "label": "fermer les autres applications",
            "label_ptr": "permlab_killBackgroundProcesses",
            "name": "android.permission.KILL_BACKGROUND_PROCESSES",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.KILL_UID": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.KILL_UID",
            "permission_group": "",
            "protection_level": "signature|installer"
        },
        "android.permission.LAUNCH_TRUST_AGENT_SETTINGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.LAUNCH_TRUST_AGENT_SETTINGS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.LOCAL_MAC_ADDRESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.LOCAL_MAC_ADDRESS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.LOCATION_HARDWARE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.LOCATION_HARDWARE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.LOOP_RADIO": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.LOOP_RADIO",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_ACCOUNTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_ACCOUNTS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.MANAGE_ACTIVITY_STACKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_ACTIVITY_STACKS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.MANAGE_APP_OPS_MODES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_APP_OPS_MODES",
            "permission_group": "",
            "protection_level": "signature|installer|verifier"
        },
        "android.permission.MANAGE_APP_OPS_RESTRICTIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_APP_OPS_RESTRICTIONS",
            "permission_group": "",
            "protection_level": "signature|installer"
        },
        "android.permission.MANAGE_APP_TOKENS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_APP_TOKENS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_AUDIO_POLICY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_AUDIO_POLICY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_AUTO_FILL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_AUTO_FILL",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_BIND_INSTANT_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_BIND_INSTANT_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_BLUETOOTH_WHEN_PERMISSION_REVIEW_REQUIRED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_BLUETOOTH_WHEN_PERMISSION_REVIEW_REQUIRED",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_CAMERA": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_CAMERA",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_CARRIER_OEM_UNLOCK_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_CARRIER_OEM_UNLOCK_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_CA_CERTIFICATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_CA_CERTIFICATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_DEVICE_ADMINS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_DEVICE_ADMINS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_DOCUMENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_DOCUMENTS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_FINGERPRINT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_FINGERPRINT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_IPSEC_TUNNELS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_IPSEC_TUNNELS",
            "permission_group": "",
            "protection_level": "signature|appop"
        },
        "android.permission.MANAGE_LOWPAN_INTERFACES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_LOWPAN_INTERFACES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_MEDIA_PROJECTION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_MEDIA_PROJECTION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_NETWORK_POLICY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_NETWORK_POLICY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_NOTIFICATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_NOTIFICATIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_OWN_CALLS": {
            "description": "Autorise l'application à acheminer les appels via le système afin d'optimiser le confort d'utilisation.",
            "description_ptr": "permdesc_manageOwnCalls",
            "label": "acheminer les appels via le système",
            "label_ptr": "permlab_manageOwnCalls",
            "name": "android.permission.MANAGE_OWN_CALLS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.MANAGE_PROFILE_AND_DEVICE_OWNERS": {
            "description": "Autoriser les applications à définir les propriétaires des profils et celui de l'appareil",
            "description_ptr": "permdesc_manageProfileAndDeviceOwners",
            "label": "gérer les propriétaires des profils et de l'appareil",
            "label_ptr": "permlab_manageProfileAndDeviceOwners",
            "name": "android.permission.MANAGE_PROFILE_AND_DEVICE_OWNERS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_SCOPED_ACCESS_DIRECTORY_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_SCOPED_ACCESS_DIRECTORY_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_SENSORS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_SENSORS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_SLICE_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_SLICE_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MANAGE_SOUND_TRIGGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_SOUND_TRIGGER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_SUBSCRIPTION_PLANS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_SUBSCRIPTION_PLANS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_USB": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_USB",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_USERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_USERS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_USER_OEM_UNLOCK_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_USER_OEM_UNLOCK_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_VOICE_KEYPHRASES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_VOICE_KEYPHRASES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MANAGE_WIFI_WHEN_PERMISSION_REVIEW_REQUIRED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MANAGE_WIFI_WHEN_PERMISSION_REVIEW_REQUIRED",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MASTER_CLEAR": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MASTER_CLEAR",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MEDIA_CONTENT_CONTROL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MEDIA_CONTENT_CONTROL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_ACCESSIBILITY_DATA": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_ACCESSIBILITY_DATA",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MODIFY_APPWIDGET_BIND_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_APPWIDGET_BIND_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_AUDIO_ROUTING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_AUDIO_ROUTING",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_AUDIO_SETTINGS": {
            "description": "Permet à l'application de modifier les paramètres audio généraux, tels que le volume et la sortie audio utilisée.",
            "description_ptr": "permdesc_modifyAudioSettings",
            "label": "modifier vos paramètres audio",
            "label_ptr": "permlab_modifyAudioSettings",
            "name": "android.permission.MODIFY_AUDIO_SETTINGS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.MODIFY_CELL_BROADCASTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_CELL_BROADCASTS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_DAY_NIGHT_MODE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_DAY_NIGHT_MODE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_NETWORK_ACCOUNTING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_NETWORK_ACCOUNTING",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_PARENTAL_CONTROLS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_PARENTAL_CONTROLS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_PHONE_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_PHONE_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_QUIET_MODE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_QUIET_MODE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MODIFY_THEME_OVERLAY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MODIFY_THEME_OVERLAY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.MOUNT_FORMAT_FILESYSTEMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MOUNT_FORMAT_FILESYSTEMS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MOUNT_UNMOUNT_FILESYSTEMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MOUNT_UNMOUNT_FILESYSTEMS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.MOVE_PACKAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.MOVE_PACKAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.NETWORK_BYPASS_PRIVATE_DNS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NETWORK_BYPASS_PRIVATE_DNS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.NETWORK_SETTINGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NETWORK_SETTINGS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.NETWORK_SETUP_WIZARD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NETWORK_SETUP_WIZARD",
            "permission_group": "",
            "protection_level": "signature|setup"
        },
        "android.permission.NETWORK_STACK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NETWORK_STACK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.NET_ADMIN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NET_ADMIN",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.NET_TUNNELING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NET_TUNNELING",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.NFC": {
            "description": "Permet à l'application de communiquer avec des tags, des cartes et des lecteurs compatibles avec la technologie NFC (communication en champ proche).",
            "description_ptr": "permdesc_nfc",
            "label": "contrôler la communication en champ proche",
            "label_ptr": "permlab_nfc",
            "name": "android.permission.NFC",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.NFC_HANDOVER_STATUS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NFC_HANDOVER_STATUS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.NFC_TRANSACTION_EVENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NFC_TRANSACTION_EVENT",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.NOTIFICATION_DURING_SETUP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NOTIFICATION_DURING_SETUP",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.NOTIFY_PENDING_SYSTEM_UPDATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NOTIFY_PENDING_SYSTEM_UPDATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.NOTIFY_TV_INPUTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.NOTIFY_TV_INPUTS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.OBSERVE_APP_USAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.OBSERVE_APP_USAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.OEM_UNLOCK_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.OEM_UNLOCK_STATE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.OPEN_APPLICATION_DETAILS_OPEN_BY_DEFAULT_PAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.OPEN_APPLICATION_DETAILS_OPEN_BY_DEFAULT_PAGE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.OVERRIDE_WIFI_CONFIG": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.OVERRIDE_WIFI_CONFIG",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PACKAGE_USAGE_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PACKAGE_USAGE_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged|development|appop"
        },
        "android.permission.PACKAGE_VERIFICATION_AGENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PACKAGE_VERIFICATION_AGENT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PACKET_KEEPALIVE_OFFLOAD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PACKET_KEEPALIVE_OFFLOAD",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PEERS_MAC_ADDRESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PEERS_MAC_ADDRESS",
            "permission_group": "",
            "protection_level": "signature|setup"
        },
        "android.permission.PERFORM_CDMA_PROVISIONING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PERFORM_CDMA_PROVISIONING",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PERFORM_SIM_ACTIVATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PERFORM_SIM_ACTIVATION",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PERSISTENT_ACTIVITY": {
            "description": "Permet à l'application de rendre certains de ces composants persistants dans la mémoire. Cette autorisation peut limiter la mémoire disponible pour d'autres applications et ralentir le téléphone.",
            "description_ptr": "permdesc_persistentActivity",
            "label": "exécuter l'application en continu",
            "label_ptr": "permlab_persistentActivity",
            "name": "android.permission.PERSISTENT_ACTIVITY",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.PROCESS_OUTGOING_CALLS": {
            "description": "Permettre à l'application de lire le numéro composé lors d'un appel sortant, et lui donner la possibilité de rediriger l'appel vers un autre numéro ou d'abandonner l'appel",
            "description_ptr": "permdesc_processOutgoingCalls",
            "label": "transférer les appels sortants",
            "label_ptr": "permlab_processOutgoingCalls",
            "name": "android.permission.PROCESS_OUTGOING_CALLS",
            "permission_group": "android.permission-group.CALL_LOG",
            "protection_level": "dangerous"
        },
        "android.permission.PROVIDE_RESOLVER_RANKER_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PROVIDE_RESOLVER_RANKER_SERVICE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.PROVIDE_TRUST_AGENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.PROVIDE_TRUST_AGENT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.QUERY_DO_NOT_ASK_CREDENTIALS_ON_BOOT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.QUERY_DO_NOT_ASK_CREDENTIALS_ON_BOOT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.QUERY_TIME_ZONE_RULES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.QUERY_TIME_ZONE_RULES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_BLOCKED_NUMBERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_BLOCKED_NUMBERS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.READ_CALENDAR": {
            "description": "Cette application peut lire tous les événements d'agenda enregistrés sur votre téléphone et partager ou enregistrer vos données d'agenda.",
            "description_ptr": "permdesc_readCalendar",
            "label": "Lire les événements d'agenda et les détails associés",
            "label_ptr": "permlab_readCalendar",
            "name": "android.permission.READ_CALENDAR",
            "permission_group": "android.permission-group.CALENDAR",
            "protection_level": "dangerous"
        },
        "android.permission.READ_CALL_LOG": {
            "description": "Cette application peut lire l'historique de vos appels.",
            "description_ptr": "permdesc_readCallLog",
            "label": "lire le journal d'appels",
            "label_ptr": "permlab_readCallLog",
            "name": "android.permission.READ_CALL_LOG",
            "permission_group": "android.permission-group.CALL_LOG",
            "protection_level": "dangerous"
        },
        "android.permission.READ_CELL_BROADCASTS": {
            "description": "Permet à l'application de lire les messages que votre appareil reçoit via un canal de diffusion cellulaire. Dans certaines zones géographiques, des alertes vous sont envoyées afin de vous prévenir en cas de situation d'urgence. Les applications malveillantes peuvent venir perturber les performances ou le fonctionnement de votre appareil lorsqu'un message est reçu via un canal de diffusion cellulaire.",
            "description_ptr": "permdesc_readCellBroadcasts",
            "label": "lire les messages reçus via un canal de diffusion cellulaire",
            "label_ptr": "permlab_readCellBroadcasts",
            "name": "android.permission.READ_CELL_BROADCASTS",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.READ_CONTACTS": {
            "description": "Permet à l'application de lire les données relatives aux contacts stockés sur votre téléphone, y compris la fréquence à laquelle vous avez appelé des personnes spécifiques, leur avez envoyé des e-mails ou avez communiqué avec elles par d'autres moyens. Cette autorisation permet aux applications d'enregistrer ces données. Les applications malveillantes peuvent les partager à votre insu.",
            "description_ptr": "permdesc_readContacts",
            "label": "Voir les contacts",
            "label_ptr": "permlab_readContacts",
            "name": "android.permission.READ_CONTACTS",
            "permission_group": "android.permission-group.CONTACTS",
            "protection_level": "dangerous"
        },
        "android.permission.READ_CONTENT_RATING_SYSTEMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_CONTENT_RATING_SYSTEMS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_DREAM_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_DREAM_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_EXTERNAL_STORAGE": {
            "description": "Permettre à l'application de lire le contenu de la carte SD",
            "description_ptr": "permdesc_sdcardRead",
            "label": "voir le contenu de la carte SD",
            "label_ptr": "permlab_sdcardRead",
            "name": "android.permission.READ_EXTERNAL_STORAGE",
            "permission_group": "android.permission-group.STORAGE",
            "protection_level": "dangerous"
        },
        "android.permission.READ_FRAME_BUFFER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_FRAME_BUFFER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_INPUT_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_INPUT_STATE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.READ_INSTALL_SESSIONS": {
            "description": "Permet à une application d'accéder aux sessions d'installation. Cela lui permet de consulter les détails relatifs à l'installation des packages actifs.",
            "description_ptr": "permdesc_readInstallSessions",
            "label": "accéder aux sessions d'installation",
            "label_ptr": "permlab_readInstallSessions",
            "name": "android.permission.READ_INSTALL_SESSIONS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_LOGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_LOGS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.READ_LOWPAN_CREDENTIAL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_LOWPAN_CREDENTIAL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_NETWORK_USAGE_HISTORY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_NETWORK_USAGE_HISTORY",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_OEM_UNLOCK_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_OEM_UNLOCK_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_PHONE_NUMBERS": {
            "description": "Permet à l'application d'accéder aux numéros de téléphone de l'appareil.",
            "description_ptr": "permdesc_readPhoneNumbers",
            "label": "lire les numéros de téléphone",
            "label_ptr": "permlab_readPhoneNumbers",
            "name": "android.permission.READ_PHONE_NUMBERS",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous|instant"
        },
        "android.permission.READ_PHONE_STATE": {
            "description": "Permet à l'application d'accéder aux fonctionnalités téléphoniques de l'appareil. Cette autorisation permet à l'application de déterminer le numéro de téléphone et les identifiants de l'appareil, si un appel est actif et le numéro distant connecté par un appel.",
            "description_ptr": "permdesc_readPhoneState",
            "label": "Voir l'état et l'identité du téléphone",
            "label_ptr": "permlab_readPhoneState",
            "name": "android.permission.READ_PHONE_STATE",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous"
        },
        "android.permission.READ_PRECISE_PHONE_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_PRECISE_PHONE_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_PRINT_SERVICES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_PRINT_SERVICES",
            "permission_group": "",
            "protection_level": "signature|preinstalled"
        },
        "android.permission.READ_PRINT_SERVICE_RECOMMENDATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_PRINT_SERVICE_RECOMMENDATIONS",
            "permission_group": "",
            "protection_level": "signature|preinstalled"
        },
        "android.permission.READ_PRIVILEGED_PHONE_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_PRIVILEGED_PHONE_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_PROFILE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_PROFILE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_RUNTIME_PROFILES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_RUNTIME_PROFILES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_SEARCH_INDEXABLES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_SEARCH_INDEXABLES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_SMS": {
            "description": "Cette application peut lire tous les SMS enregistrés sur votre téléphone.",
            "description_ptr": "permdesc_readSms",
            "label": "voir les messages texte (SMS ou MMS)",
            "label_ptr": "permlab_readSms",
            "name": "android.permission.READ_SMS",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.READ_SOCIAL_STREAM": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_SOCIAL_STREAM",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_SYNC_SETTINGS": {
            "description": "Permet à l'application d'accéder aux paramètres de synchronisation d'un compte. Par exemple, cette autorisation peut permettre de déterminer si l'application Contacts est synchronisée avec un compte ou non.",
            "description_ptr": "permdesc_readSyncSettings",
            "label": "lire les paramètres de synchronisation",
            "label_ptr": "permlab_readSyncSettings",
            "name": "android.permission.READ_SYNC_SETTINGS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_SYNC_STATS": {
            "description": "Permet à une application d'accéder aux statistiques de synchronisation d'un compte, y compris l'historique des événements de synchronisation et le volume de données synchronisées.",
            "description_ptr": "permdesc_readSyncStats",
            "label": "Lecture des statistiques de synchronisation",
            "label_ptr": "permlab_readSyncStats",
            "name": "android.permission.READ_SYNC_STATS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_SYSTEM_UPDATE_INFO": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_SYSTEM_UPDATE_INFO",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.READ_USER_DICTIONARY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_USER_DICTIONARY",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.READ_WALLPAPER_INTERNAL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_WALLPAPER_INTERNAL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.READ_WIFI_CREDENTIAL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.READ_WIFI_CREDENTIAL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REAL_GET_TASKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REAL_GET_TASKS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REBOOT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REBOOT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_BLUETOOTH_MAP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_BLUETOOTH_MAP",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_BOOT_COMPLETED": {
            "description": "Permet à l'application de se lancer une fois le démarrage du système terminé. Elle peut rallonger le temps de démarrage du téléphone et ralentir son fonctionnement global en raison de son exécution continue.",
            "description_ptr": "permdesc_receiveBootCompleted",
            "label": "s'exécuter au démarrage",
            "label_ptr": "permlab_receiveBootCompleted",
            "name": "android.permission.RECEIVE_BOOT_COMPLETED",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.RECEIVE_DATA_ACTIVITY_CHANGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_DATA_ACTIVITY_CHANGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_EMERGENCY_BROADCAST": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_EMERGENCY_BROADCAST",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_MEDIA_RESOURCE_USAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_MEDIA_RESOURCE_USAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_MMS": {
            "description": "Permet à l'application de recevoir et de traiter les MMS. Cette autorisation lui donne la possibilité de surveiller ou supprimer les messages envoyés à votre appareil sans vous les montrer.",
            "description_ptr": "permdesc_receiveMms",
            "label": "recevoir des messages texte (MMS)",
            "label_ptr": "permlab_receiveMms",
            "name": "android.permission.RECEIVE_MMS",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.RECEIVE_SMS": {
            "description": "Permet à l'application de recevoir et de traiter les SMS. Cette autorisation lui donne la possibilité de surveiller ou supprimer les messages envoyés à votre appareil sans vous les montrer.",
            "description_ptr": "permdesc_receiveSms",
            "label": "recevoir des messages texte (SMS)",
            "label_ptr": "permlab_receiveSms",
            "name": "android.permission.RECEIVE_SMS",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.RECEIVE_STK_COMMANDS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_STK_COMMANDS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECEIVE_WAP_PUSH": {
            "description": "Permet à l'application de recevoir et de traiter les messages WAP. Cette autorisation lui donne la possibilité de surveiller ou supprimer les messages envoyés à votre appareil sans vous les montrer.",
            "description_ptr": "permdesc_receiveWapPush",
            "label": "recevoir des messages texte (WAP)",
            "label_ptr": "permlab_receiveWapPush",
            "name": "android.permission.RECEIVE_WAP_PUSH",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.RECEIVE_WIFI_CREDENTIAL_CHANGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECEIVE_WIFI_CREDENTIAL_CHANGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECORD_AUDIO": {
            "description": "Cette application peut utiliser le micro pour enregistrer du contenu audio à tout moment.",
            "description_ptr": "permdesc_recordAudio",
            "label": "enregistrer des fichiers audio",
            "label_ptr": "permlab_recordAudio",
            "name": "android.permission.RECORD_AUDIO",
            "permission_group": "android.permission-group.MICROPHONE",
            "protection_level": "dangerous|instant"
        },
        "android.permission.RECOVERY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECOVERY",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RECOVER_KEYSTORE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RECOVER_KEYSTORE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REGISTER_CALL_PROVIDER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REGISTER_CALL_PROVIDER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REGISTER_CONNECTION_MANAGER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REGISTER_CONNECTION_MANAGER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REGISTER_SIM_SUBSCRIPTION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REGISTER_SIM_SUBSCRIPTION",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REGISTER_WINDOW_MANAGER_LISTENERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REGISTER_WINDOW_MANAGER_LISTENERS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.REMOTE_AUDIO_PLAYBACK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REMOTE_AUDIO_PLAYBACK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.REMOVE_DRM_CERTIFICATES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REMOVE_DRM_CERTIFICATES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.REMOVE_TASKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REMOVE_TASKS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.REORDER_TASKS": {
            "description": "Permet à l'application de déplacer les tâches au premier plan et en arrière-plan. L'application peut procéder à ces opérations sans votre intervention.",
            "description_ptr": "permdesc_reorderTasks",
            "label": "réorganiser les applications en cours d'exécution",
            "label_ptr": "permlab_reorderTasks",
            "name": "android.permission.REORDER_TASKS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.REQUEST_COMPANION_RUN_IN_BACKGROUND": {
            "description": "Cette application peut s'exécuter en arrière-plan, ce qui risque d'épuiser la batterie plus rapidement.",
            "description_ptr": "permdesc_runInBackground",
            "label": "s'exécuter en arrière-plan",
            "label_ptr": "permlab_runInBackground",
            "name": "android.permission.REQUEST_COMPANION_RUN_IN_BACKGROUND",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.REQUEST_COMPANION_USE_DATA_IN_BACKGROUND": {
            "description": "Cette application peut utiliser des données en arrière-plan, ce qui risque d'augmenter la consommation des données.",
            "description_ptr": "permdesc_useDataInBackground",
            "label": "consommer des données en arrière-plan",
            "label_ptr": "permlab_useDataInBackground",
            "name": "android.permission.REQUEST_COMPANION_USE_DATA_IN_BACKGROUND",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.REQUEST_DELETE_PACKAGES": {
            "description": "Permet à une application de demander la suppression de packages.",
            "description_ptr": "permdesc_requestDeletePackages",
            "label": "demander la suppression de packages",
            "label_ptr": "permlab_requestDeletePackages",
            "name": "android.permission.REQUEST_DELETE_PACKAGES",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS": {
            "description": "Autorise une application à demander l'autorisation d'ignorer les optimisations de batterie pour cette application.",
            "description_ptr": "permdesc_requestIgnoreBatteryOptimizations",
            "label": "demander à ignorer les optimisations de batterie",
            "label_ptr": "permlab_requestIgnoreBatteryOptimizations",
            "name": "android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.REQUEST_INSTALL_PACKAGES": {
            "description": "Permet à une application de demander l'installation de packages.",
            "description_ptr": "permdesc_requestInstallPackages",
            "label": "demander l'installation de packages",
            "label_ptr": "permlab_requestInstallPackages",
            "name": "android.permission.REQUEST_INSTALL_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|appop"
        },
        "android.permission.REQUEST_NETWORK_SCORES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REQUEST_NETWORK_SCORES",
            "permission_group": "",
            "protection_level": "signature|setup"
        },
        "android.permission.RESET_FINGERPRINT_LOCKOUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RESET_FINGERPRINT_LOCKOUT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.RESET_SHORTCUT_MANAGER_THROTTLING": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RESET_SHORTCUT_MANAGER_THROTTLING",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.RESTART_PACKAGES": {
            "description": "Permet à l'application de mettre fin aux processus d'autres applications exécutés en arrière-plan. Cette autorisation peut interrompre l'exécution d'autres applications.",
            "description_ptr": "permdesc_killBackgroundProcesses",
            "label": "fermer les autres applications",
            "label_ptr": "permlab_killBackgroundProcesses",
            "name": "android.permission.RESTART_PACKAGES",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.RESTRICTED_VR_ACCESS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RESTRICTED_VR_ACCESS",
            "permission_group": "",
            "protection_level": "signature|preinstalled"
        },
        "android.permission.RETRIEVE_WINDOW_CONTENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RETRIEVE_WINDOW_CONTENT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.RETRIEVE_WINDOW_TOKEN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.RETRIEVE_WINDOW_TOKEN",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.REVOKE_RUNTIME_PERMISSIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.REVOKE_RUNTIME_PERMISSIONS",
            "permission_group": "",
            "protection_level": "signature|installer|verifier"
        },
        "android.permission.RUN_IN_BACKGROUND": {
            "description": "Cette application peut s'exécuter en arrière-plan, ce qui risque d'épuiser la batterie plus rapidement.",
            "description_ptr": "permdesc_runInBackground",
            "label": "s'exécuter en arrière-plan",
            "label_ptr": "permlab_runInBackground",
            "name": "android.permission.RUN_IN_BACKGROUND",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SCORE_NETWORKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SCORE_NETWORKS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SEND_EMBMS_INTENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SEND_EMBMS_INTENTS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SEND_RESPOND_VIA_MESSAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SEND_RESPOND_VIA_MESSAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SEND_SHOW_SUSPENDED_APP_DETAILS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SEND_SHOW_SUSPENDED_APP_DETAILS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SEND_SMS": {
            "description": "Permet à l'application d'envoyer des messages SMS. Cette autorisation peut entraîner des frais inattendus. Les applications malveillantes peuvent générer des frais en envoyant des messages sans votre consentement.",
            "description_ptr": "permdesc_sendSms",
            "label": "envoyer et consulter des SMS",
            "label_ptr": "permlab_sendSms",
            "name": "android.permission.SEND_SMS",
            "permission_group": "android.permission-group.SMS",
            "protection_level": "dangerous"
        },
        "android.permission.SEND_SMS_NO_CONFIRMATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SEND_SMS_NO_CONFIRMATION",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SERIAL_PORT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SERIAL_PORT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SET_ACTIVITY_WATCHER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_ACTIVITY_WATCHER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_ALWAYS_FINISH": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_ALWAYS_FINISH",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_ANIMATION_SCALE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_ANIMATION_SCALE",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_DEBUG_APP": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_DEBUG_APP",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_DISPLAY_OFFSET": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_DISPLAY_OFFSET",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SET_HARMFUL_APP_WARNINGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_HARMFUL_APP_WARNINGS",
            "permission_group": "",
            "protection_level": "signature|verifier"
        },
        "android.permission.SET_INPUT_CALIBRATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_INPUT_CALIBRATION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_KEYBOARD_LAYOUT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_KEYBOARD_LAYOUT",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_MEDIA_KEY_LISTENER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_MEDIA_KEY_LISTENER",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_ORIENTATION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_ORIENTATION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_POINTER_SPEED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_POINTER_SPEED",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_PREFERRED_APPLICATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_PREFERRED_APPLICATIONS",
            "permission_group": "",
            "protection_level": "signature|verifier"
        },
        "android.permission.SET_PROCESS_LIMIT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_PROCESS_LIMIT",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_SCREEN_COMPATIBILITY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_SCREEN_COMPATIBILITY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SET_TIME": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_TIME",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SET_TIME_ZONE": {
            "description": "Permet à l'application de modifier le fuseau horaire du téléphone.",
            "description_ptr": "permdesc_setTimeZone",
            "label": "Sélection du fuseau horaire",
            "label_ptr": "permlab_setTimeZone",
            "name": "android.permission.SET_TIME_ZONE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SET_VOLUME_KEY_LONG_PRESS_LISTENER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_VOLUME_KEY_LONG_PRESS_LISTENER",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.SET_WALLPAPER": {
            "description": "Permet à l'application de définir le fond d'écran du système.",
            "description_ptr": "permdesc_setWallpaper",
            "label": "configurer le fond d'écran",
            "label_ptr": "permlab_setWallpaper",
            "name": "android.permission.SET_WALLPAPER",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.SET_WALLPAPER_COMPONENT": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SET_WALLPAPER_COMPONENT",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SET_WALLPAPER_HINTS": {
            "description": "Permet à l'application de définir les bulles d'aide concernant la taille du fond d'écran du système.",
            "description_ptr": "permdesc_setWallpaperHints",
            "label": "modifier la taille du fond d'écran",
            "label_ptr": "permlab_setWallpaperHints",
            "name": "android.permission.SET_WALLPAPER_HINTS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.SHOW_KEYGUARD_MESSAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SHOW_KEYGUARD_MESSAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SHUTDOWN": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SHUTDOWN",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SIGNAL_PERSISTENT_PROCESSES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SIGNAL_PERSISTENT_PROCESSES",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.START_ANY_ACTIVITY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.START_ANY_ACTIVITY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.START_TASKS_FROM_RECENTS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.START_TASKS_FROM_RECENTS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.STATSCOMPANION": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.STATSCOMPANION",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.STATUS_BAR": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.STATUS_BAR",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.STATUS_BAR_SERVICE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.STATUS_BAR_SERVICE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.STOP_APP_SWITCHES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.STOP_APP_SWITCHES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.STORAGE_INTERNAL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.STORAGE_INTERNAL",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.SUBSCRIBED_FEEDS_READ": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SUBSCRIBED_FEEDS_READ",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.SUBSCRIBED_FEEDS_WRITE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SUBSCRIBED_FEEDS_WRITE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SUSPEND_APPS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.SUSPEND_APPS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.SYSTEM_ALERT_WINDOW": {
            "description": "Cette application peut se superposer à d'autres applications ou à d'autres parties de l'écran. Cela peut altérer l'utilisation normale des applications et modifier l'apparence des autres applications.",
            "description_ptr": "permdesc_systemAlertWindow",
            "label": "Cette application peut se superposer à d'autres applications",
            "label_ptr": "permlab_systemAlertWindow",
            "name": "android.permission.SYSTEM_ALERT_WINDOW",
            "permission_group": "",
            "protection_level": "signature|preinstalled|appop|pre23|development"
        },
        "android.permission.TABLET_MODE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TABLET_MODE",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.TEMPORARY_ENABLE_ACCESSIBILITY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TEMPORARY_ENABLE_ACCESSIBILITY",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.TEST_BLACKLISTED_PASSWORD": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TEST_BLACKLISTED_PASSWORD",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.TETHER_PRIVILEGED": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TETHER_PRIVILEGED",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.TRANSMIT_IR": {
            "description": "Permet à l'application d'utiliser l'émetteur infrarouge du téléphone.",
            "description_ptr": "permdesc_transmitIr",
            "label": "transmettre des signaux infrarouges",
            "label_ptr": "permlab_transmitIr",
            "name": "android.permission.TRANSMIT_IR",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.TRIGGER_TIME_ZONE_RULES_CHECK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TRIGGER_TIME_ZONE_RULES_CHECK",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.TRUST_LISTENER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TRUST_LISTENER",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.TV_INPUT_HARDWARE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TV_INPUT_HARDWARE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.TV_VIRTUAL_REMOTE_CONTROLLER": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.TV_VIRTUAL_REMOTE_CONTROLLER",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.UNLIMITED_SHORTCUTS_API_CALLS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UNLIMITED_SHORTCUTS_API_CALLS",
            "permission_group": "",
            "protection_level": "signature|textClassifier"
        },
        "android.permission.UPDATE_APP_OPS_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_APP_OPS_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged|installer"
        },
        "android.permission.UPDATE_CONFIG": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_CONFIG",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.UPDATE_DEVICE_STATS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_DEVICE_STATS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.UPDATE_LOCK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_LOCK",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.UPDATE_LOCK_TASK_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_LOCK_TASK_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|setup"
        },
        "android.permission.UPDATE_TIME_ZONE_RULES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.UPDATE_TIME_ZONE_RULES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.USER_ACTIVITY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.USER_ACTIVITY",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.USE_BIOMETRIC": {
            "description": "Autoriser l'application à utiliser les composants biométriques pour l'authentification",
            "description_ptr": "permdesc_useBiometric",
            "label": "utiliser les composants biométriques",
            "label_ptr": "permlab_useBiometric",
            "name": "android.permission.USE_BIOMETRIC",
            "permission_group": "android.permission-group.SENSORS",
            "protection_level": "normal"
        },
        "android.permission.USE_COLORIZED_NOTIFICATIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.USE_COLORIZED_NOTIFICATIONS",
            "permission_group": "",
            "protection_level": "signature|setup"
        },
        "android.permission.USE_CREDENTIALS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.USE_CREDENTIALS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.USE_DATA_IN_BACKGROUND": {
            "description": "Cette application peut utiliser des données en arrière-plan, ce qui risque d'augmenter la consommation des données.",
            "description_ptr": "permdesc_useDataInBackground",
            "label": "consommer des données en arrière-plan",
            "label_ptr": "permlab_useDataInBackground",
            "name": "android.permission.USE_DATA_IN_BACKGROUND",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.USE_FINGERPRINT": {
            "description": "Autoriser l'application à utiliser le matériel d'empreintes digitales pour l'authentification",
            "description_ptr": "permdesc_useFingerprint",
            "label": "Utiliser le matériel d'empreintes digitales",
            "label_ptr": "permlab_useFingerprint",
            "name": "android.permission.USE_FINGERPRINT",
            "permission_group": "android.permission-group.SENSORS",
            "protection_level": "normal"
        },
        "android.permission.USE_RESERVED_DISK": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.USE_RESERVED_DISK",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.USE_SIP": {
            "description": "Autorise l'application à effectuer et à recevoir des appels SIP.",
            "description_ptr": "permdesc_use_sip",
            "label": "effectuer/recevoir des appels SIP",
            "label_ptr": "permlab_use_sip",
            "name": "android.permission.USE_SIP",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous"
        },
        "android.permission.VIBRATE": {
            "description": "Permet à l'application de contrôler le vibreur.",
            "description_ptr": "permdesc_vibrate",
            "label": "contrôler le vibreur",
            "label_ptr": "permlab_vibrate",
            "name": "android.permission.VIBRATE",
            "permission_group": "",
            "protection_level": "normal|instant"
        },
        "android.permission.VIEW_INSTANT_APPS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.VIEW_INSTANT_APPS",
            "permission_group": "",
            "protection_level": "signature|preinstalled"
        },
        "android.permission.WAKE_LOCK": {
            "description": "Permet à l'application d'empêcher le téléphone de passer en mode veille.",
            "description_ptr": "permdesc_wakeLock",
            "label": "empêcher le téléphone de passer en mode veille",
            "label_ptr": "permlab_wakeLock",
            "name": "android.permission.WAKE_LOCK",
            "permission_group": "",
            "protection_level": "normal|instant"
        },
        "android.permission.WATCH_APPOPS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WATCH_APPOPS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.WRITE_APN_SETTINGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_APN_SETTINGS",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.WRITE_BLOCKED_NUMBERS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_BLOCKED_NUMBERS",
            "permission_group": "",
            "protection_level": "signature"
        },
        "android.permission.WRITE_CALENDAR": {
            "description": "Cette application peut ajouter, supprimer ou modifier les événements d'agenda enregistrés sur votre téléphone. Elle peut en outre envoyer des messages qui semblent provenir du propriétaire de l'agenda, ou modifier des événements sans en informer leur propriétaire.",
            "description_ptr": "permdesc_writeCalendar",
            "label": "ajouter ou modifier des événements d'agenda et envoyer des e-mails aux invités à l'insu des propriétaires",
            "label_ptr": "permlab_writeCalendar",
            "name": "android.permission.WRITE_CALENDAR",
            "permission_group": "android.permission-group.CALENDAR",
            "protection_level": "dangerous"
        },
        "android.permission.WRITE_CALL_LOG": {
            "description": "Permet à l'application de lire le journal d'appels de votre téléphone, y compris les données relatives aux appels entrants et sortants. Des applications malveillantes peuvent utiliser cette fonctionnalité pour effacer ou modifier votre journal d'appels.",
            "description_ptr": "permdesc_writeCallLog",
            "label": "modifier le journal d'appels",
            "label_ptr": "permlab_writeCallLog",
            "name": "android.permission.WRITE_CALL_LOG",
            "permission_group": "android.permission-group.CALL_LOG",
            "protection_level": "dangerous"
        },
        "android.permission.WRITE_CONTACTS": {
            "description": "Permet à l'application de modifier les données relatives aux contacts stockés sur votre téléphone, y compris la fréquence à laquelle vous avez appelé des personnes spécifiques, leur avez envoyé des e-mails ou avez communiqué avec elles par d'autres moyens. Cette autorisation permet aux applications de supprimer ces données.",
            "description_ptr": "permdesc_writeContacts",
            "label": "modifier les contacts",
            "label_ptr": "permlab_writeContacts",
            "name": "android.permission.WRITE_CONTACTS",
            "permission_group": "android.permission-group.CONTACTS",
            "protection_level": "dangerous"
        },
        "android.permission.WRITE_DREAM_STATE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_DREAM_STATE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.WRITE_EXTERNAL_STORAGE": {
            "description": "Permet à l'application de modifier le contenu de la carte SD.",
            "description_ptr": "permdesc_sdcardWrite",
            "label": "modifier ou supprimer le contenu de la carte SD",
            "label_ptr": "permlab_sdcardWrite",
            "name": "android.permission.WRITE_EXTERNAL_STORAGE",
            "permission_group": "android.permission-group.STORAGE",
            "protection_level": "dangerous"
        },
        "android.permission.WRITE_GSERVICES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_GSERVICES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.WRITE_MEDIA_STORAGE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_MEDIA_STORAGE",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "android.permission.WRITE_PROFILE": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_PROFILE",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.WRITE_SECURE_SETTINGS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_SECURE_SETTINGS",
            "permission_group": "",
            "protection_level": "signature|privileged|development"
        },
        "android.permission.WRITE_SETTINGS": {
            "description": "Permet à l'application de modifier les paramètres du système. Des applications malveillantes peuvent exploiter cette fonctionnalité pour corrompre la configuration de votre système.",
            "description_ptr": "permdesc_writeSettings",
            "label": "modifier les paramètres du système",
            "label_ptr": "permlab_writeSettings",
            "name": "android.permission.WRITE_SETTINGS",
            "permission_group": "",
            "protection_level": "signature|preinstalled|appop|pre23"
        },
        "android.permission.WRITE_SMS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_SMS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.WRITE_SOCIAL_STREAM": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_SOCIAL_STREAM",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.WRITE_SYNC_SETTINGS": {
            "description": "Permet à une application de modifier les paramètres de synchronisation d'un compte. Cette autorisation peut, par exemple, être utilisée pour activer la synchronisation de l'application Contacts avec un compte.",
            "description_ptr": "permdesc_writeSyncSettings",
            "label": "activer/désactiver la synchronisation",
            "label_ptr": "permlab_writeSyncSettings",
            "name": "android.permission.WRITE_SYNC_SETTINGS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "android.permission.WRITE_USER_DICTIONARY": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "android.permission.WRITE_USER_DICTIONARY",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.alarm.permission.SET_ALARM": {
            "description": "Permet à l'application de régler la sonnerie d'un réveil installé. Cette fonctionnalité n'est pas disponible sur tous les réveils.",
            "description_ptr": "permdesc_setAlarm",
            "label": "définir une alarme",
            "label_ptr": "permlab_setAlarm",
            "name": "com.android.alarm.permission.SET_ALARM",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.browser.permission.READ_HISTORY_BOOKMARKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "com.android.browser.permission.READ_HISTORY_BOOKMARKS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.browser.permission.WRITE_HISTORY_BOOKMARKS": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "com.android.browser.permission.WRITE_HISTORY_BOOKMARKS",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.launcher.permission.INSTALL_SHORTCUT": {
            "description": "Permettre à une application d'ajouter des raccourcis à l'écran d'accueil sans l'intervention de l'utilisateur",
            "description_ptr": "permdesc_install_shortcut",
            "label": "Installer des raccourcis",
            "label_ptr": "permlab_install_shortcut",
            "name": "com.android.launcher.permission.INSTALL_SHORTCUT",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.launcher.permission.UNINSTALL_SHORTCUT": {
            "description": "Permettre à l'application de supprimer des raccourcis de l'écran d'accueil sans l'intervention de l'utilisateur",
            "description_ptr": "permdesc_uninstall_shortcut",
            "label": "désinstaller des raccourcis",
            "label_ptr": "permlab_uninstall_shortcut",
            "name": "com.android.launcher.permission.UNINSTALL_SHORTCUT",
            "permission_group": "",
            "protection_level": "normal"
        },
        "com.android.permission.INSTALL_EXISTING_PACKAGES": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "com.android.permission.INSTALL_EXISTING_PACKAGES",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "com.android.voicemail.permission.ADD_VOICEMAIL": {
            "description": "Permet à l'application d'ajouter des messages à votre messagerie vocale.",
            "description_ptr": "permdesc_addVoicemail",
            "label": "ajouter un message vocal",
            "label_ptr": "permlab_addVoicemail",
            "name": "com.android.voicemail.permission.ADD_VOICEMAIL",
            "permission_group": "android.permission-group.PHONE",
            "protection_level": "dangerous"
        },
        "com.android.voicemail.permission.READ_VOICEMAIL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "com.android.voicemail.permission.READ_VOICEMAIL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        },
        "com.android.voicemail.permission.WRITE_VOICEMAIL": {
            "description": "",
            "description_ptr": "",
            "label": "",
            "label_ptr": "",
            "name": "com.android.voicemail.permission.WRITE_VOICEMAIL",
            "permission_group": "",
            "protection_level": "signature|privileged"
        }
    }
}
