# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-24 16:12
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('trackers', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Apk',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('sum', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.CharField(max_length=200)),
                ('version', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='DNSQuery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hostname', models.CharField(max_length=200)),
                ('ip', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='HTTPAnalysis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='HTTPPayload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('destination_uri', models.CharField(max_length=200)),
                ('payload', models.CharField(max_length=20000)),
                ('layer', models.CharField(max_length=50)),
                ('http_analysis', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.HTTPAnalysis')),
            ],
        ),
        migrations.CreateModel(
            name='HTTPSAnalysis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='HTTPSPayload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('destination_uri', models.CharField(max_length=200)),
                ('payload', models.CharField(max_length=20000)),
                ('layer', models.CharField(max_length=50)),
                ('https_analysis', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.HTTPSAnalysis')),
            ],
        ),
        migrations.CreateModel(
            name='NetworkAnalysis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('application', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.Application')),
            ],
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('storage_path', models.CharField(default='', max_length=200)),
                ('apk_file', models.CharField(default='', max_length=200)),
                ('pcap_file', models.CharField(default='', max_length=200)),
                ('flow_file', models.CharField(default='', max_length=200)),
                ('found_trackers', models.ManyToManyField(to='trackers.Tracker')),
            ],
        ),
        migrations.CreateModel(
            name='UDPAnalysis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('network_analysis', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.NetworkAnalysis')),
            ],
        ),
        migrations.CreateModel(
            name='UDPPayload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('destination_uri', models.CharField(max_length=200)),
                ('payload', models.CharField(max_length=20000)),
                ('layer', models.CharField(max_length=50)),
                ('udp_analysis', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.UDPAnalysis')),
            ],
        ),
        migrations.AddField(
            model_name='networkanalysis',
            name='report',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.Report'),
        ),
        migrations.AddField(
            model_name='httpsanalysis',
            name='network_analysis',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.NetworkAnalysis'),
        ),
        migrations.AddField(
            model_name='httpanalysis',
            name='network_analysis',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.NetworkAnalysis'),
        ),
        migrations.AddField(
            model_name='dnsquery',
            name='network_analysis',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.NetworkAnalysis'),
        ),
        migrations.AddField(
            model_name='application',
            name='report',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='reports.Report'),
        ),
        migrations.AddField(
            model_name='apk',
            name='application',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='reports.Application'),
        ),
    ]
